package com.bonus.canteen.core.order.mobile.dto;

import com.bonus.common.houqin.constant.LeConstants;
import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("移动端根据订单号支付DTO")
public class OrderPayMobileDTO implements OrderMobilePayParam {
   @ApiModelProperty("是否为订单试算")
   private Integer ifTrial;
   @ApiModelProperty("订单id")
   private @NotNull Long orderId;
   @ApiModelProperty("支付方式")
   private @NotNull Integer payType;
   @ApiModelProperty("餐券id")
   private String couponId;
   @ApiModelProperty("支付密码")
   private String payPassword;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("扩展字段")
   private JsonNode extParam;
   @ApiModelProperty("人员Id")
   private Long custId;

   public OrderPayMobileDTO() {
      this.ifTrial = LeConstants.COMMON_NO;
   }

   public Integer getIfTrial() {
      return this.ifTrial;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public String getCouponId() {
      return this.couponId;
   }

   public String getPayPassword() {
      return this.payPassword;
   }

   public String getRemark() {
      return this.remark;
   }

   public JsonNode getExtParam() {
      return this.extParam;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setIfTrial(final Integer ifTrial) {
      this.ifTrial = ifTrial;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setCouponId(final String couponId) {
      this.couponId = couponId;
   }

   public void setPayPassword(final String payPassword) {
      this.payPassword = payPassword;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setExtParam(final JsonNode extParam) {
      this.extParam = extParam;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public String toString() {
      Integer var10000 = this.getIfTrial();
      return "OrderPayMobileDTO(ifTrial=" + var10000 + ", orderId=" + this.getOrderId() + ", payType=" + this.getPayType() + ", couponId=" + this.getCouponId() + ", payPassword=" + this.getPayPassword() + ", remark=" + this.getRemark() + ", extParam=" + String.valueOf(this.getExtParam()) + ", custId=" + this.getCustId() + ")";
   }
}
